<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy transparam.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('transparam_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">transparam.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="transparam_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &lt;sys/types.h&gt;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &lt;sys/stat.h&gt;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;fcntl.h&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;termios.h&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="transparam_8hh.html">transparam.hh</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;cstring&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc">   13</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc">SetTransParam_InputModes</a>( <span class="keyword">struct</span> termios *pTransParam,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>                               <a class="code hl_enumeration" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>     Parity</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                             )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>  pTransParam-&gt;c_iflag = 0</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>   | IGNBRK  <span class="comment">/* - Ustawiona - ignoruje polecenie BREAK. */</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>   <span class="comment">/* BRKINT - nie ustawiona */</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>   <span class="comment">/* IGNPAR -ignoruje błedy ramki i błędy parzystości */</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>   <span class="comment">/* PARMRK - nie ustawiona */</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>   | (Parity != <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a> ? INPCK : 0)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>   <span class="comment">/* ISTRIP -*/</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>   <span class="comment">/* INLCR  -tłumacz &lt;NL&gt; na &lt;CR&gt; */</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>   <span class="comment">/* IGNCR  -ignoruj &lt;CR&gt;         */</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>   <span class="comment">/* ICRNL  -tłumacz &lt;CR&gt; na &lt;NL&gt; (o ile nie jest ustawiona IGNCR)*/</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>   <span class="comment">/* IUCLC  -zamieniaj duże litery na małe */</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>   <span class="comment">/* IXON   -aktywuj sprzętową kontrolę przepływu XON/XOFF na wyjściu */</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>   <span class="comment">/* IXANY  -dowolny znak restartuje wyjście, gdy jest ono w stanie </span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">                               wstrzymania                                              */</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>   <span class="comment">/* IXOFF  -aktywuje sprzętową kontrolę przepływu XON/XOFF na wejściu*/</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>   <span class="comment">/* IUTF8 -znaki na wejściu są kodowane w UTF-8 */</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>}</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510">   39</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510">SetTransParam_OutputModes</a>( <span class="keyword">struct</span> termios *pTransParam )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>{</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>  pTransParam-&gt;c_oflag = 0</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">/* OPOST - nie ustawiona */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">/* OLCUC - zmienia małe litery na duże */</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">/* ONLCR - zmienia &lt;NL&gt; na &lt;CR&gt;&lt;NL&gt; */</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">/* OCRNL - zmienia &lt;CR&gt; na &lt;NL&gt; */</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">/* ON0CR - nie wysyła pustej linii (wielokrotne &lt;CR&gt;)*/</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">/* ONLRET - nie wysyła znaku &lt;CR&gt; */</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">/* OFILL - wysyła znak &quot;wypełnienia&quot; zamiast ciszy na linii */</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    | NL0 <span class="comment">/* NLDLY - maska dla opóźnienie po &lt;NL&gt;. Wartości NL0 i NL1 */</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    | CR0 <span class="comment">/* CRDLY - maska dla wartości opóźnienia po &lt;CR&gt;. </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">                     Wartości CR0, CR1, CR2, CR3 */</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">/* TABDLY - maska dla wartości TAB0, TAB1, TAB2, TAB3 lub XTABS*/</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">/* BSDLY  - maska dla opóźnienia po znaku &quot;backspace&quot;. Wartości: BS0, BS1</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">                    (nie jest to zaimplementowane)*/</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">/* VTDLY - maska dla opóźnienia wertykalnego znaku tab. Wartości: VT0, VT1*/</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    | FF0 <span class="comment">/* FFDLY - maska dla opoźnienie &quot;form feed&quot;. Wartości: FF0, FF1 */</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    ;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>  <span class="comment">// pTransParam-&gt;c_oflag = 0 | NL0 | CR0 | FF0; // TMP</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af">   70</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af">SetTransParam_ControlModes</a>( <span class="keyword">struct</span> termios      *pTransParam,</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                     <a class="code hl_enumeration" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>          Parity,</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                                 <a class="code hl_enumeration" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>   CSize</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                               )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>{</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>  pTransParam-&gt;c_cflag = 0</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">/*CBAUD - (poza normą POSIX) maska dla szybkości transmisji  */</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">/*CBAUDEX - (poza normą POSIX) dodatkowa prędkość transmisji */</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    | CS8 <span class="comment">/*CSIZE - maska ilości bitów w znaku. Wartości to: CS5, CS6 CS7, CS8 */</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">/* CSTOPB - dwa bity stopu */</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    | CREAD  <span class="comment">/* aktywuje odbiór */</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    | (Parity != <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a> ? PARENB : 0) <span class="comment">/*ustawienie generowanie bitu parzystości </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment">                                                i jego kontrolę na wejściu */</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    | (Parity == <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">P_Odd</a> ? PARODD : 0) <span class="comment">/* Zamiast znacznika parzystości,</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment">                                         generowany jest znacznik nieparzystości.</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">                           */</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="comment">/* HUPCL - sprowadza stan linii kontroli modemu do poziomu niskiego, gdy</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment">           ostatni proces &quot;zamyka&quot; urządzenie. */</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    | CLOCAL <span class="comment">/* Ignoruje linie sterujące */</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    | (Parity == <a class="code hl_enumvalue" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">P_Mark</a> ? CMSPAR : 0 )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="comment">/* (poza normą POSIX) Użyj znacznika parzystości. Jeśli będzie </span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">               ustawiony PARODD, to bit parzystości będzie miał zawsze wartość 1.</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">               W przypadku przeciwnym wartość 0. */</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">/*CRTSCTS - (poza normą POSIX) uaktywniej sprzętową kontrolę przepływu RTS/CTS. */</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    ;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>}</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b">  100</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b">SetTransParam_LocalModes</a>( <span class="keyword">struct</span> termios *pTransParam )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>{</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>  pTransParam-&gt;c_lflag = 0</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="comment">/* ISIG  - generuje odpowiednie sygnały (w sensie Uniksa) gdy odbierze</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="comment">               znaki INTR, QUIT, SUSP lub DSUSP. */</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    <span class="comment">/* ICANON - uwaktywania tryb kanoniczny */</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <span class="comment">/* ECHO - uaktywnia automatyczne echo dla odbieranego znaku */</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="comment">/* ECHOE - gdy ICANON jest ustawiona, to znak ERASE kasuje odebrany</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="comment">               wcześniej znak, WERASE kasuje całe słowo. */</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">/* ECHOK -  gdy ICANON jest ustawiona, to znak KILL kasuje całą </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="comment">                bieżącą linię */</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">/* ECHONL - gdy ICANON jest ustawiona, to generowane jest echo znaku &lt;NL&gt;</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">               (nawet wtedy, gdy nie jest ustawione ECHO) */</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="comment">/* ECHOCTL - (poza normą POSIX) gdy jest ustawiona flaga ECHO, </span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="comment">               to znaki, które są spoza ASCII są sygnalizowane jak ^X, </span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span><span class="comment">               gdzie X jest kodem znaku                                */</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="comment">/* ECHOPRT - (poza normą POSIX) */</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">/* ECHOKE - (poza normą POSIX) */</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    | NOFLSH    <span class="comment">/* uniemożliwia opróżnienie bufora wejściowego i wyjściowego, </span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="comment">                gdy generowane są sygnały SIGINT, SIGQUIT i SIGSUSP */</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">/* TOSTOP */</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <span class="comment">/* IEXTEN */</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    ;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>}</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="transparam_8hh.html#adae5ef433c18e71af7b1a18cd4c107e6">  133</a></span><span class="keywordtype">bool</span> <a class="code hl_function" href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867">SetTransParam</a>( <span class="keywordtype">int</span>                  PortDesc,</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a>        BRate,</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a>          Parity,</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                    <a class="code hl_enumeration" href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a>   CSize</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                  )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>{</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>  <span class="keyword">struct </span>termios   TransParam;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>  <a class="code hl_function" href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc">SetTransParam_InputModes</a>(&amp;TransParam,Parity);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>  <a class="code hl_function" href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510">SetTransParam_OutputModes</a>(&amp;TransParam);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>  <a class="code hl_function" href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af">SetTransParam_ControlModes</a>( &amp;TransParam, Parity, CSize );</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>  <a class="code hl_function" href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b">SetTransParam_LocalModes</a>(&amp;TransParam);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>  <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i=0; i &lt; NCCS; ++i) TransParam.c_cc[i] = 0;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>  cfsetispeed(&amp;TransParam,BRate);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>  cfsetospeed(&amp;TransParam,BRate);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>  tcflush(PortDesc, TCIFLUSH); </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>  <span class="keywordflow">return</span> tcsetattr(PortDesc,TCSANOW,&amp;TransParam) == 0;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>}</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="ttc" id="atransparam_8cpp_html_a0728e8853a57cc2290d9739c1108d2fc"><div class="ttname"><a href="transparam_8cpp.html#a0728e8853a57cc2290d9739c1108d2fc">SetTransParam_InputModes</a></div><div class="ttdeci">void SetTransParam_InputModes(struct termios *pTransParam, Type4Parity Parity)</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00013">transparam.cpp:13</a></div></div>
<div class="ttc" id="atransparam_8cpp_html_a7585c6873219f5b0cae001b4e95a60af"><div class="ttname"><a href="transparam_8cpp.html#a7585c6873219f5b0cae001b4e95a60af">SetTransParam_ControlModes</a></div><div class="ttdeci">void SetTransParam_ControlModes(struct termios *pTransParam, Type4Parity Parity, Type4CharacterSize CSize)</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00070">transparam.cpp:70</a></div></div>
<div class="ttc" id="atransparam_8cpp_html_abbc868041fa51d5f4d3923d8b3488867"><div class="ttname"><a href="transparam_8cpp.html#abbc868041fa51d5f4d3923d8b3488867">SetTransParam</a></div><div class="ttdeci">bool SetTransParam(int PortDesc, Type4BaudRate BRate, Type4Parity Parity, Type4CharacterSize CSize)</div><div class="ttdoc">Ustawianie parametrów transmisji.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00133">transparam.cpp:133</a></div></div>
<div class="ttc" id="atransparam_8cpp_html_acb0647d46d75d5baa3508f59750fd510"><div class="ttname"><a href="transparam_8cpp.html#acb0647d46d75d5baa3508f59750fd510">SetTransParam_OutputModes</a></div><div class="ttdeci">void SetTransParam_OutputModes(struct termios *pTransParam)</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00039">transparam.cpp:39</a></div></div>
<div class="ttc" id="atransparam_8cpp_html_ad26bdc052d530d02b4353582e1d9568b"><div class="ttname"><a href="transparam_8cpp.html#ad26bdc052d530d02b4353582e1d9568b">SetTransParam_LocalModes</a></div><div class="ttdeci">void SetTransParam_LocalModes(struct termios *pTransParam)</div><div class="ttdef"><b>Definition</b> <a href="transparam_8cpp_source.html#l00100">transparam.cpp:100</a></div></div>
<div class="ttc" id="atransparam_8hh_html"><div class="ttname"><a href="transparam_8hh.html">transparam.hh</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237">Type4Parity</a></div><div class="ttdeci">Type4Parity</div><div class="ttdoc">Rodzaj kontroli parzystości.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00012">transparam.hh:12</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a2457874c281d6ec0f92dc6e61f79587d">P_Mark</a></div><div class="ttdeci">@ P_Mark</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00016">transparam.hh:16</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237a34382ce4bb40c1824bcca93bc234ab6b">P_None</a></div><div class="ttdeci">@ P_None</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00013">transparam.hh:13</a></div></div>
<div class="ttc" id="atransparam_8hh_html_a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842"><div class="ttname"><a href="transparam_8hh.html#a8ff99acb992470a0e45a2ab0cb77b237ac4d5e9249b497ebae3148a6545300842">P_Odd</a></div><div class="ttdeci">@ P_Odd</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00015">transparam.hh:15</a></div></div>
<div class="ttc" id="atransparam_8hh_html_aaaf70130106e45f329823bb7383b288f"><div class="ttname"><a href="transparam_8hh.html#aaaf70130106e45f329823bb7383b288f">Type4BaudRate</a></div><div class="ttdeci">Type4BaudRate</div><div class="ttdoc">Zestaw ustawień szybkości transmisji.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00026">transparam.hh:26</a></div></div>
<div class="ttc" id="atransparam_8hh_html_ad43ec836453f31ea6160c8ec311a9d90"><div class="ttname"><a href="transparam_8hh.html#ad43ec836453f31ea6160c8ec311a9d90">Type4CharacterSize</a></div><div class="ttdeci">Type4CharacterSize</div><div class="ttdoc">Pozwala na ustawienie rozmiaru transmitowanego znaku.</div><div class="ttdef"><b>Definition</b> <a href="transparam_8hh_source.html#l00054">transparam.hh:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="transparam_8cpp.html">transparam.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
